#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
    Script para el trackeo del medio PROCESO.
"""

import sys
import os



baseDir   = "/home/geoint/virtualHDD/m3/noticias/"
scrapyDir = "/home/geoint/crawlersNoticias/"
s = {"crawler": "descarga_por_mes/proceso"}

media = s['crawler'][s['crawler'].rfind("/")+1:]

os.chdir(baseDir)

try:
    os.makedirs(media)
except:
    print "ok"

os.chdir(media)

# rango va de 1976 a 2018
for year in xrange(1976, 2019):
    try:
        os.makedirs(str(year))
    except:
        print "ok"

    os.chdir(str(year))
    filename = str(year) + ".json"

    scrapycommand = "scrapy crawl noticias --nolog -s filename={0} -a year={1}".format(filename, str(year))

    mydir = os.getcwd()
    print mydir
    os.chdir(scrapyDir + s['crawler'])
    print media
    print scrapycommand
    os.system(scrapycommand)
    fileSize = os.stat(filename).st_size
    if fileSize <= 3: os.system("rm " + filename)
    else:
        os.chdir(scrapyDir)
        sys_command = "python3 parse_date_files.py {0} {1}".format(s['crawler'], filename)
        os.system(sys_command)
        os.chdir(media)
        mediaYears = os.listdir(".")
        mediaYears.sort()

        for yy in mediaYears:
            os.chdir(yy)
            try:
                os.makedirs(baseDir + media + "/" + yy)
            except:
                pass
            mediaDays = os.listdir(".")
            mediaDays = [l for l in mediaDays if not l.startswith('.')]
            mediaDays.sort()

            for dd in mediaDays:
                os.system("mv " + dd + " " + baseDir + media + "/" + yy)

            os.chdir("..")
            os.system("rm -R " + yy)

        os.chdir("..")
        os.system("rm -R " + media)
        os.chdir(s['crawler'])
        os.system("rm " + filename)
        os.chdir(mydir)

    os.chdir("..")
    # os.chdir("..")
